Subject: Re: linux-next: new build warnings after binutils update

From: Ingo Molnar <[email-masked]>
Date: Fri, 14 Aug 2020 12:22:06 +0200

* Ard Biesheuvel <[email-masked]> wrote:

> (+ Arvind, Kees)
> 
> On Thu, 13 Aug 2020 at 22:58, Stephen Rothwell <[email-masked]> wrote:
> >
> > Hi all,
> >
> > After upgading some software, builds of Linus' tree now produce these warnings:
> >
> > x86_64-linux-gnu-ld: arch/x86/boot/compressed/head_64.o: warning: relocation in read-only section `.head.text'
> > x86_64-linux-gnu-ld: warning: creating DT_TEXTREL in a PIE
> >
> > I upgraded binutils from 2.34-8 to 2.35-1 (Debian versions).
> >
> > $ x86_64-linux-gnu-gcc --version
> > x86_64-linux-gnu-gcc (Debian 9.3.0-13) 9.3.0
> >
> > Any ideas?
> >
> 
> Arvind and I have some patches on the list that fix various relocation
> issues in the decompressor binary.
> 
> As far as I can tell, Arvind's patch to suppress runtime relocations
> [0] addresses this exact issue.
> 
> Unfortunately, in spite of various pings and attempts to get the x86
> maintainers to notice this series, it has been ignored so far. Perhaps
> this is a good time to merge it for -rc1/2?
> 
> [0] https://lore.kernel.org/lkml/[email-masked]/

It all looked good to me but was a bit late for v5.9, will pick up 
after -rc1.

Thanks,

	Ingo